using System;
using System.Collections.Generic;
using System.Printing.IndexedProperties;
using System.Text;

namespace PortoTuristico
{
    abstract class Barca
    {
        public int Codice { get; private set; }
        static int x;
        static Barca()
        {
            x = 0;
        }
        public string Nome { get; private set; }
        public string Nazionalita { get; private set; }
        public int PesoMassimo { get; private set; }
        public Barca(string nome, string nazionalita, int pesoMassimo)
        { 
            Nome = nome;
            Nazionalita = nazionalita;
            PesoMassimo = pesoMassimo;
            Codice = ++x;
        }

        public virtual double CostoGiornaliero()
        {
            return 5;
        }
        public virtual string Info()
        {
            return string.Format("Codice imbarcazione{0}\nNome barca: {1}\nNazionalita barca: {2}\nPeso massimo supportato{3}\n", Codice, Nome, Nazionalita, PesoMassimo);
        }
        public override string ToString()
        {
            return string.Format("{0}|{1}|{2}|{3}|", Codice, Nome, Nazionalita, PesoMassimo);
        }
    }
}
